TTF_GetPreviousTextSubString(3)

NAME
TTF_GetPreviousTextSubString - Get the previous substring in a text object

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetPreviousTextSubString(TTF_Text *text, const TTF_SubString *substring, TTF_SubString *previous);

DESCRIPTION
If called at the start of the text, this will return a zero length substring with the TTF_SUBSTRING_TEXT_START

flag set.

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

substring
    the TTF_SubString
     to query.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.